Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(746)

Unified Diff: build/install-chroot.sh

Issue 11649050: Mount /run and /run/shm in chroots. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 8 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/install-chroot.sh
diff --git a/build/install-chroot.sh b/build/install-chroot.sh
index af85fb1f3bedfa68c7bf3bbfceec006ffb4095fc..e49726d599720a9fb8db6b3bc67e8220f7ef8486 100755
--- a/build/install-chroot.sh
+++ b/build/install-chroot.sh
@@ -392,12 +392,16 @@ if [ -d /media ] &&
sudo sh -c 'cat >>/etc/schroot/mount-'"${target}"
fi
-# Share /dev/shm and possibly /run/shm
+# Share /dev/shm, /run and /run/shm.
grep -qs '^/dev/shm' /etc/schroot/mount-"${target}" ||
echo '/dev/shm /dev/shm none rw,bind 0 0' |
sudo sh -c 'cat >>/etc/schroot/mount-'"${target}"
-if [ -d "/var/lib/chroot/${target}/run" ] &&
- ! grep -qs '^/run/shm' /etc/schroot/mount-"${target}"; then
+if [ ! -d "/var/lib/chroot/${target}/run" ] &&
+ ! grep -qs '^/run' /etc/schroot/mount-"${target}"; then
+ echo '/run /run none rw,bind 0 0' |
+ sudo sh -c 'cat >>/etc/schroot/mount-'"${target}"
+fi
+if ! grep -qs '^/run/shm' /etc/schroot/mount-"${target}"; then
{ [ -d /run ] && echo '/run/shm /run/shm none rw,bind 0 0' ||
echo '/dev/shm /run/shm none rw,bind 0 0'; } |
sudo sh -c 'cat >>/etc/schroot/mount-'"${target}"
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698